Check Mono installation
Status: Closed Start date: Jun 14, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: Algorithms Integration   

Infrastructure: Production   

Description

On the dataminer0-proto machine, I'm trying to run a simple script through Mono, but I get this error:

The assembly mscorlib.dll was not found or could not be loaded.

It should have been installed in the `/usr/lib/mono/2.0/mscorlib.dll' directory.

but Mono 2.0 is not installed on the machine, I guess. Also, the mscorlib.dll is used by many processes.

I attach the executable I'm running. The command to execute it is:

Mono ./text.exe hi

it produces a simple text file named "program.txt".

History

#1 - Jun 14, 2017 10:50 AM - Andrea Dell'Amico

- Status changed from New to In Progress

dataminers have mono 4.0 installed as requirement for another package.

I just installed the mono 2.0 libraries on dataminer0-proto.d4science.org and the result is now:

$ mono ./text.exe

Cannot open assembly './text.exe': File does not contain a valid CIL image.

 For what I know about, that means that text.exe is an Windows only executable.

$ file text.exe

text.exe: PE32+ executable (console) x86-64, for MS Windows

#2 - Jun 14, 2017 10:50 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 50

#3 - Jun 14, 2017 11:19 AM - Gianpaolo Coro

I have compiled them with minGW on a Windows machine, perhaps either this is not supported by Mono or some package is missing. I have found

both these explanations around.

#4 - Jun 14, 2017 11:31 AM - Andrea Dell'Amico

minGW is a gcc-derived C/C++ compiler. The result binaries are pure MS Windows executables, while mono is a .Net/C# runtime.

#5 - Jun 14, 2017 12:09 PM - Gianpaolo Coro

- Status changed from Feedback to Closed

- % Done changed from 50 to 100

Files

text.exe 131 KB Jun 14, 2017 Gianpaolo Coro

Powered by TCPDF (www.tcpdf.org)

May 01, 2025 1/1

http://www.tcpdf.org

